## apache-upload-progress-module 0.2+git20220203.4467d50

=== Makefile ===
-include local-options.mk

ifndef APXS
  APXS := $(shell which apxs2 || which apxs)
endif

ifndef APXS
  $(error No apxs found in path, set APXS = /path/to/apxs in local-options.mk)
endif

all: local-shared-build

local-shared-build: module

module: .libs/mod_upload_progress.o

.libs/mod_upload_progress.o: mod_upload_progress.c
	$(APXS) -c $(CFLAGS) mod_upload_progress.c

#   install the shared object file into Apache 
install: local-shared-build
	$(APXS) -i $(CFLAGS) mod_upload_progress.la

#   cleanup
.PHONY: clean
clean:
	-rm -f mod_upload_progress.o mod_upload_progress.lo mod_upload_progress.slo mod_upload_progress.la
	-rm -rf .libs/

## apache-upload-progress-module 0.1+git20100316

=== debian/changelog ===
apache-upload-progress-module (0.1+git20100316-1) unstable; urgency=low

  * Initial release. (Closes: #587218)

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 26 Jun 2010 14:53:37 +0200

=== debian/control ===
Source: apache-upload-progress-module
Section: web
Priority: optional
Maintainer: Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 7.0.50~), apache2-prefork-dev | apache2-threaded-dev
Standards-Version: 3.8.4
Homepage: http://github.com/drogus/apache-upload-progress-module/

Package: libapache2-mod-upload-progress
Architecture: any
Depends: apache2.2-common, ${shlibs:Depends}, ${misc:Depends}
Description: upload progress support for the Apache web server
 mod_upload_progress allows to monitor status of HTTP file uploads.
 .
 Website authors can then query the server using Javascript to provide better
 feedback (e.g. progress bar, throughput) while the browser is uploading.
 .
 This module produces output similar to the equivalent modules for Nginx and
 lighttpd.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	apxs2 -c -a mod_upload_progress.c

overrid_dh_auto_clean:
	rm -f mod_upload_progress.o
	rm -rf .libs

=== debian/watch ===
version=3

http://githubredir.debian.net/github/drogus/apache-upload-progress-module (.*).tar.gz

## apache-upload-progress-module 0.1+git20110718

=== debian/changelog ===
apache-upload-progress-module (0.1+git20110718-1) unstable; urgency=low

  * New upstream snapshot.
  * Do not mention Nginx and lighttpd in extended description.
    (Closes: #610805)
  * Fix spelling error in extended description spotted by lintian.
  * Bump Standards-Version to 3.9.2, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Jul 2011 18:41:47 +0200

apache-upload-progress-module (0.1+git20110203-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix debian/watch file.
  * Use upstream Makefile to build the module.
  * Put SHM file in /var/cache/apache2 instead of /tmp.
  * Add Vcs-* fields to debian/control.
  * Bump Standards-Version to 3.9.1, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 11 Feb 2011 10:55:10 +0100

=== debian/control ===
Source: apache-upload-progress-module
Section: web
Priority: optional
Maintainer: Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 7.0.50~), apache2-prefork-dev | apache2-threaded-dev
Standards-Version: 3.9.2
Homepage: http://github.com/drogus/apache-upload-progress-module/
Vcs-Git: git://git.debian.org/collab-maint/apache-upload-progress-module.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apache-upload-progress-module.git

Package: libapache2-mod-upload-progress
Architecture: any
Depends: apache2.2-common, ${shlibs:Depends}, ${misc:Depends}
Description: upload progress support for the Apache web server
 mod_upload_progress enables monitoring the status of HTTP file uploads.
 .
 Website authors can then query the server using Javascript to provide better
 feedback (e.g. progress bar, throughput) while the browser is uploading.
 .
 This module produces output similar to the equivalent modules for other
 webservers.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -DCACHE_FILENAME=\\\"/var/cache/apache2/upload_progress_cache\\\"

%:
	dh $@

override_dh_auto_install:
	echo "Just let dh_install handle the installation."

=== debian/watch ===
version=3

http://githubredir.debian.net/github/drogus/apache-upload-progress-module /?(.*).tar.gz

## apache-upload-progress-module 0.2

=== debian/changelog ===
apache-upload-progress-module (0.2-2) unstable; urgency=low

  * Upload to unstable. (Closes: #709466)
  * Change section to httpd to align with ftpmaster choices.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update debian/watch, thanks to Bart Martens.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 30 May 2013 19:02:02 +0200

apache-upload-progress-module (0.2-1) experimental; urgency=low

  * New upstream release (identical to previous snapshot).
  * Transition to Apache 2.4:                          (Closes: #666819)
     - Update Build-Depends for Apache 2.4.
     - Switch to dh_apache2.
     - Add compatibility patches.
  * Add git-buildpackage configuration file.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 06 Apr 2012 12:44:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -DCACHE_FILENAME=\\\"/var/cache/apache2/upload_progress_cache\\\"

%:
	dh $@ --with apache2

override_dh_auto_install:
	echo "Just let dh_install handle the installation."

=== debian/watch ===
version=3
https://github.com/drogus/apache-upload-progress-module/tags .*/archive/v?(\d\S*)\.tar\.gz

## apache-upload-progress-module 0.2+git20220203.4467d50

=== debian/changelog ===
apache-upload-progress-module (0.2+git20220203.4467d50-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Take over the package, RIP lunar!
  * New new upstream commit
    Closes: #1081628
  * d/watch: use git mode to fetch latest commit
  * d/README.source: deleted + d/gbp.conf: pristine-tar=true
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/copyright: License names
  * Propagate hardening options

  [ Vagrant Cascadian ]
  * Pass -ffile-prefix-map to APXS to avoid embedding build path.
    Closes: #1020811

 -- Andreas Tille <tille@debian.org>  Tue, 26 Nov 2024 10:08:36 +0100

=== debian/control ===
Source: apache-upload-progress-module
Section: httpd
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               apache2-dev
Standards-Version: 4.7.0
Homepage: http://github.com/drogus/apache-upload-progress-module/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/apache-upload-progress-module.git
Vcs-Browser: https://salsa.debian.org/debian/apache-upload-progress-module

Package: libapache2-mod-upload-progress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: upload progress support for the Apache web server
 mod_upload_progress enables monitoring the status of HTTP file uploads.
 .
 Website authors can then query the server using Javascript to provide better
 feedback (e.g. progress bar, throughput) while the browser is uploading.
 .
 This module produces output similar to the equivalent modules for other
 webservers.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -DCACHE_FILENAME=\\\"/var/cache/apache2/upload_progress_cache\\\"

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with apache2

override_dh_auto_install:
	echo "Just let dh_install handle the installation."

override_dh_auto_build:
	dh_auto_build -- module

=== debian/watch ===
version=4

# Fetch latest Git commits (see bug #1081628)
opts="mode=git,pretty=0.2+git%cd.%h" \
    https://github.com/drogus/apache-upload-progress-module.git HEAD
